<?php

declare(strict_types=1);

namespace Drupal\azredirect\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Configure AZRedirect settings for this site.
 */
final class AzSettingsForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId(): string {
    return 'azredirect_az_settings';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames(): array {
    return ['azredirect.settings'];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state): array {
    $form['user_route'] = [
      '#type' => 'checkbox',
      '#title' => $this->t('Login route'),
      '#description' => $this->t('Redirect enable or disable the login route.'),
      '#default_value' => $this->config('azredirect.settings')->get('user_route') ? TRUE : FALSE,
    ];
    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state): void {
    $this->config('azredirect.settings')
      ->set('user_route', $form_state->getValue('user_route'))
      ->save();
    parent::submitForm($form, $form_state);
  }

}
